Bug 835108 - Very dangerous overheating with RadeonHD 5400 on Notebook HP G62
Very dangerous overheating with RadeonHD 5400 on Notebook HP G62
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 10:57 EDT by Paolo Leoni
Modified: 2014-02-05 07:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:00:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg file (61.22 KB, text/plain)
2012-11-05 09:51 EST, Paolo Leoni
no flags Details

  None (edit)
Description Paolo Leoni 2012-06-25 10:57:51 EDT
Description of problem:
With default ati opensource driver, GPU temp become very high (about 91 degrees), so it's a warming situation for processor too. after some minutes, notebook goes to emergency shutdown.

Btw, it isn't possibile to echoing a manual setting for radeon power state, becasue it doesn't seems to be target files ("power_method" and "power_profile")

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati.x86_64          6.14.4-6.20120602git930760942.fc17


How reproducible:
Install fedora on a pc with Radeon series 5xxx

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Notebook overheating, very dangerous.

Expected results:
normal temperature.

Additional info:
Comment 1 Paolo Leoni 2012-11-01 07:03:30 EDT
This problem still remain on F18 Alpha.
Some possible enhancements form kernel 3.7?
Comment 2 Jérôme Glisse 2012-11-01 14:45:43 EDT
No, still waiting for AMD to release power management documentations.

sudo sh -c "echo low > /sys/class/drm/card0/device/power_profile "

Should work or it means you don't have kms enabled attach you dmesg
Comment 3 Paolo Leoni 2012-11-05 09:51:04 EST
[root@localhost device]# echo "profile" > /sys/class/drm/card0/device/power_method

bash: /sys/class/drm/card0/device/power_method: No such file or directory

It seems I can't access to that files.

I'll attach the dmesg.
Comment 4 Paolo Leoni 2012-11-05 09:51:38 EST
Created attachment 638680 [details]
dmesg file
Comment 5 Jérôme Glisse 2012-11-05 11:00:04 EST
Ok so it seems to be a dual GPU laptop so radeon is probably card1 so as root :
echo low > /sys/class/drm/card1/device/power_profil

Will set power profile to low for the radeon GPU
Comment 6 Paolo Leoni 2012-11-16 06:15:32 EST
Some months ago I've tried to send that command to card1 too, but without results.

Now, with kernel 3.6.6, things seems to be changed.

Power savings function now seems to have a more random behaviour.

Now this is the situation:

1) Using low profile on /sys/class/drm/card1/device/power_profile, I've had success for the first time, but after reboot file was disappeared from card1 and it appear in card0.

2) After another reboot power_profile disappeared from both card (card0 and card1). So, no power saving, GPU heating unitl 85-90 degrees.

3) If it's performed a complete power off (instead reboot), I've power_profile, but sometimes in card0, sometimes in card1 (seems to be random).

So, I setup a workaround to the issue, I written /etc/rc.d/rc.local with the echo commmand either on card0 and card1, in this way I can control the power saving behaviour (avoiding reboot).

Not a "beautiful" solution indeed, but it function. No more forced power off due to CPU overheating.
Comment 7 Fedora End Of Life 2013-07-04 00:27:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Germano Massullo 2013-07-04 00:57:34 EDT
please do not let this bug report close as won't fix
Comment 9 Paolo Leoni 2013-07-04 03:14:11 EDT
This problem will be probably fixed in the kernel upstream with release of kernel 3.11.

Meanwhile try this script, "Cool Radeon":
http://www.paololeoni.eu/?file=stuff

If you have an integrated intel gpu (like HD3000 or HD4000), consider to totally switch off your radeon card.
Comment 10 Nicolas Trangez 2013-07-09 18:09:37 EDT
I've experienced this for ages (I think I first installed Fedora on this machine around F14?) using similar hardware (RV730/M96-XT [Mobility Radeon HD 4670]). Out of misery I switched to catalyst on F17 IIRC, but then after F18 this was no longer possible.

Anyway, now radeon DPM has landed for 3.11, is there any chance this can be backported to F19 kernels? Or, if that's impossible, is it possible to have the 3.11 radeon kernel module, with DPM, as an out-of-tree akmod?
Comment 11 Paolo Leoni 2013-07-10 05:04:04 EDT
Kernel 3.11 should land in F19 as update when it will be released.
Comment 12 Nicolas Trangez 2013-07-10 06:18:08 EDT
Oh sure, I expect nothing less, but given 3.10 was released 10 days ago and recent kernel release intervals, 3.11 is for 2nd half of September or something along those lines? Add some more weeks before it lands in F19.

Since the changes are out there, it might be nice to get them earlier :-) Maybe I should give it a stab.
Comment 13 Nicolas Trangez 2013-07-29 05:16:23 EDT
Running Rawhide kernels (3.11-something) and using radeon.dpm=1, I can confirm this reduces heating, fan-noise, and extends battery time :-)

On the downside: whilst with 3.11-rc1-something suspend/resume worked, with the latest kernel (3.11.0-0.rc2.git4.2.fc20.x86_64), it seems to work for a single suspend/resume cycle (no statistical evidence though, only gave it a couple of tries), then at second suspend the display & wifi-led of my machine go blank, but the system remains powered on & fans keep running, until I kill it by pressing the power switch for some time.
Comment 14 Fedora End Of Life 2013-12-21 03:38:37 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 07:00:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.